gi-gdkx11-3.0.2: GdkX11 bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11Visual

Contents

- Exported types
- Methods
  - getXvisual

Description

No description available in the introspection data.

Synopsis

- newtype X11Visual = X11Visual (ManagedPtr X11Visual)
- class GObject o => IsX11Visual o
- toX11Visual :: (MonadIO m, IsX11Visual o) => o -> m X11Visual
- noX11Visual :: Maybe X11Visual
- x11VisualGetXvisual :: (HasCallStack, MonadIO m, IsX11Visual a) => a -> m Visual

# Exported types

newtype X11Visual Source #

Memory-managed wrapper type.

Constructors

X11Visual (ManagedPtr X11Visual) |

Instances

GObject X11Visual Source # |
Instance details Defined in GI.GdkX11.Objects.X11Visual Methods gobjectType :: X11Visual -> IO GType Source #
IsVisual X11Visual Source # |
Instance details Defined in GI.GdkX11.Objects.X11Visual
IsObject X11Visual Source # |
Instance details Defined in GI.GdkX11.Objects.X11Visual
IsX11Visual X11Visual Source # |
Instance details Defined in GI.GdkX11.Objects.X11Visual

class GObject o => IsX11Visual o Source #

Type class for types which can be safely cast to `X11Visual`, for instance with `toX11Visual`.

Instances

(GObject a, (UnknownAncestorError X11Visual a :: Constraint)) => IsX11Visual a Source # |
Instance details Defined in GI.GdkX11.Objects.X11Visual
IsX11Visual X11Visual Source # |
Instance details Defined in GI.GdkX11.Objects.X11Visual

toX11Visual :: (MonadIO m, IsX11Visual o) => o -> m X11Visual Source #

Cast to `X11Visual`, for types for which this is known to be safe. For general casts, use `castTo`.

noX11Visual :: Maybe X11Visual Source #

A convenience alias for `Nothing` :: `Maybe` `X11Visual`.

# Methods

## getXvisual

x11VisualGetXvisual Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Visual a) |
=> a | `visual`: a `Visual`.
-> m Visual | Returns: an Xlib Visual*.

Returns the X visual belonging to a `Visual`.